<div class="mat-elevation-z8">
  <mat-table #table [dataSource]="dataSource">

    <ng-container matColumnDef="interest">
      <mat-header-cell *matHeaderCellDef>Interest</mat-header-cell>
      <mat-cell *matCellDef="let item">{{item.interest}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="amount">
      <mat-header-cell *matHeaderCellDef>Amount</mat-header-cell>
      <mat-cell *matCellDef="let item"> {{item.amount}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="account">
      <mat-header-cell *matHeaderCellDef>Account Number</mat-header-cell>
      <mat-cell *matCellDef="let item">{{item.account}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="actions">
      <mat-header-cell *matHeaderCellDef>Actions</mat-header-cell>
      <mat-cell *matCellDef="let item">
        <button mat-raised-button color="primary" [routerLink]="['/deposit', item.interest]">Szczegóły</button>
        <button mat-raised-button color="accent" (click)="openDialog(item.interest)">Usuń</button>
      </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>
</div>